Package org.apache.tapestry5.ioc.internal.util

# Class LocationImpl

java.lang.Object
org.apache.tapestry5.ioc.internal.util.LocationImpl

All Implemented Interfaces:
  `Location`

public final class LocationImpl extends Object implements Location
Implementation class for `Location`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationImpl(Resource resource)`
  `LocationImpl(Resource resource, int line)`
  `LocationImpl(Resource resource, int line, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getColumn()`
  The column number within the line if known, or -1 otherwise.
  `int`
  `getLine()`
  The line number within the resource, if known, or -1 otherwise.
  `Resource`
  `getResource()`
  The resource from which the object tagged with a location was derived.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocationImpl

    public LocationImpl(Resource resource)

  - ### LocationImpl

    public LocationImpl(Resource resource, int line)

  - ### LocationImpl

    public LocationImpl(Resource resource, int line, int column)

- ## Method Details

  - ### getResource

    public Resource getResource()
    Description copied from interface: `Location`
    The resource from which the object tagged with a location was derived.
    Specified by:
      `getResource` in interface `Location`

  - ### getLine

    public int getLine()
    Description copied from interface: `Location`
    The line number within the resource, if known, or -1 otherwise.
    Specified by:
      `getLine` in interface `Location`

  - ### getColumn

    public int getColumn()
    Description copied from interface: `Location`
    The column number within the line if known, or -1 otherwise.
    Specified by:
      `getColumn` in interface `Location`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`